Skip to main content
PATCH
Updates a Knowledge Source

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

knowledgeStoreId
string
required

The Id of the KnowledgeStore

Required string length: 24
Pattern: ^[a-z0-9]{24}$
sourceId
string
required

The Id of the KnowledgeSource

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Body

application/json
name
string

The name of the KnowledgeSource

Example:

"mysource"

description
string

The description about what the knowledge source contains

Example:

"mysource description"

status
enum<string>
Available options:
ready,
ingesting,
disabled
metaData
object

Response

Successfully updated knowledge source

Last modified on July 22, 2026